Bug 128784 - Basic documentation - Files & Directories outdated content
Summary: Basic documentation - Files & Directories outdated content
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: Macro-Documentation
  Show dependency treegraph
 
Reported: 2019-11-13 17:48 UTC by LibreOfficiant
Modified: 2021-06-14 18:18 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description LibreOfficiant 2019-11-13 17:48:48 UTC
Description:
Help pages for:
• ChDir
• ChDrive
• CurDir and
• CompatibilityMode
should be updated to reflect this link content:
https://wiki.openoffice.org/wiki/Documentation/BASIC_Guide/Files_and_Directories_(Runtime_Library)
OOME_3_0.pdf by Andrew D. Pitonyak confirms the above link content on pages:
• p.166,168 - CurDir, ChDir, ChDrive
• p.32,41,54,62,133-135,152,.. - CompatibilityMode()


Actual Results:
help pages with link to bug.

Expected Results:
help pages with uptodate content


Reproducible: Always


User Profile Reset: No



Additional Info:
linked bug in help pages should be closed with the above wiki and .pdf references.
Comment 1 Rafael Lima 2021-04-29 17:34:47 UTC
A quick update on this bug.

ChDir, CurDir and ChDrive documentation have been updated for 7.2:
https://help.libreoffice.org/7.2/en-US/text/sbasic/shared/03020401.html?DbPAR=BASIC#bm_id3150178

This was done by [1] to explain that these methods are deprecated and may be removed in the future.
[1] https://bugs.documentfoundation.org/show_bug.cgi?id=129114 (see comment #3)

What I suggest is to add a note recommending the use of the ScriptForge FileSystem service for all of these soon-to-be-deprecated functions.
https://help.libreoffice.org/7.2/en-US/text/sbasic/shared/03/sf_filesystem.html?DbPAR=BASIC#bm_id41582391760252

As for CompatibilityMode no changes have been made so far. I just don't know exactly what aspects need to be updated in the help page.
Comment 2 Commit Notification 2021-05-20 16:25:22 UTC
Rafael Lima committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/bd3e4888b2b47d022871218f210b290b7d046288

Related tdf#128784 X-ref ChDir, ChDrive and CurDir with SF_FileSystem
Comment 3 Rafael Lima 2021-06-14 18:18:57 UTC
I guess the patch closes this bug. Changing it to RESOLVED - FIXED.